/*
	This file is part of The Adventures of Stickman by Matt Trobaugh, which is dedicated to the public domain under a CC0 Public Domain Dedication. To view a copy of this dedication, visit http://creativecommons.org/publicdomain/zero/1.0/.

	The Adventures of Stickman is built on the Turpidge Game Engine version 1.1 by Matt Trobaugh.
*/

try{




items = new Items();



//          	    (name, image, useEffects, useEffectStats, cures, inflicts)
items.addUsableItem("Green Potion", "greenPotion.png", "+10", "HP", "", "");
items.addUsableItem("Purple Potion", "purplePotion.png", "+10", "MP", "", "");


// 					(name, image, equipClasses, equipType, equipEffects, equipEffectStats, spell)
items.addEquipment("Short Sword", "shortSword.png", "Fighter", "Weapon", "+5", "attack", "");
items.addEquipment("Longsword", "longsword.png", "Fighter", "Weapon", "+11", "attack", "");
items.addEquipment("Magic Sword", "magicSword.png", "Fighter", "Weapon", "+20", "attack", "Fireball");

// 					(name, image, equipClasses, equipType, equipEffects, equipEffectStats, spell)
items.addEquipment("Knife", "knife.png", "Fighter,Berzerker,Healer,Sorcerer,Archer", "Weapon", "+2", "attack", "");
items.addEquipment("Razor", "razor.png", "Berzerker", "Weapon", "+3", "attack", "");

// 					(name, image, equipClasses, equipType, equipEffects, equipEffectStats, spell)
items.addEquipment("Small Axe", "smallAxe.png", "Berzerker", "Weapon", "+7", "attack", "");
items.addEquipment("Battle Axe", "battleAxe.png", "Berzerker", "Weapon", "+13", "attack", "");
items.addEquipment("Ancient Axe", "ancientAxe.png", "Berzerker", "Weapon", "+18", "attack", "Fireball");

// 					(name, image, equipClasses, equipType, equipEffects, equipEffectStats, spell)
items.addEquipment("Staff", "staff.png", "Healer,Wizard", "Weapon", "+1,+5", "attack,maxMP", "");
items.addEquipment("Trident", "trident.png", "Wizard", "Weapon", "+3,+3", "attack,maxMP", "");
items.addEquipment("Ancient Trident", "ancientTrident.png", "Wizard", "Weapon", "+7,+7", "attack,maxMP", "Fireball");

// 					(name, image, equipClasses, equipType, equipEffects, equipEffectStats, spell)
items.addEquipment("Bow", "bow.png", "Archer", "Weapon", "+7,+2", "attack,attackRange", "");
items.addEquipment("Longbow", "longbow.png", "Archer", "Weapon", "+15,+3", "attack,attackRange", "");

// 					(name, image, equipClasses, equipType, equipEffects, equipEffectStats, spell)
items.addEquipment("Wooden Shield", "woodenShield.png", "Fighter,Berzerker", "Shield", "+3", "defense", "");
items.addEquipment("Bronze Shield", "bronzeShield.png", "Fighter,Berzerker", "Shield", "+5", "defense", "");
items.addEquipment("Iron Shield", "ironShield.png", "Fighter, Berzerker", "Shield", "+7", "defense", "");

// 					(name, image, equipClasses, equipType, equipEffects, equipEffectStats, spell)
items.addEquipment("Boots of Mobility", "bootsOfMobility.png", "Fighter,Berzerker,Healer,Sorcerer,Archer", "Boots", "+1", "moveRange", "");

// 					(name, image, equipClasses, equipType, equipEffects, equipEffectStats, spell)
items.addEquipment("Wizard Hat", "wizardHat.png", "Healer,Wizard", "Hat", "+5", "maxMP", "");




}
catch(e)
{
	alert("An error has occurred in items.js\n\n" + e);
}
